nvme_mi_admin_security_send(2)

NAME
nvme_mi_admin_security_send - Perform a Security Send command on a controller.

SYNOPSIS
int nvme_mi_admin_security_send (nvme_mi_ctrl_t ctrl , struct nvme_security_send_args *args );

ARGUMENTS

ctrl
    Controller to send command to

args
    Security Send command arguments

DESCRIPTION
Performs a Security Send Admin command as specified by args. Response data is stored in args->data, which should be a buffer of args->data_len bytes. Resulting data length is stored in args->data_len on successful command completion.

Security Send data length should not be greater than 4096 bytes to comply with specification limits.

See: struct nvme_get_log_args

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.